package com.zehong.system.domain;

import java.util.List;

public class TSiteStationInfoData {

    private String siteStationId;

    private String stationName;

    private String stationType;

    private String type;

    private String stationAddr;

    private String longitude;

    private String latitude;

    private String buildyear;

    private String buildCompany;

    private String powerCompany;

    private List<PressureFlow> pressureFlows;

    private int iconType;

    private String companyType;

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public int getIconType() {
        return iconType;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public String getSiteStationId() {
        return siteStationId;
    }

    public void setSiteStationId(String siteStationId) {
        this.siteStationId = siteStationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStationAddr() {
        return stationAddr;
    }

    public void setStationAddr(String stationAddr) {
        this.stationAddr = stationAddr;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getBuildyear() {
        return buildyear;
    }

    public void setBuildyear(String buildyear) {
        this.buildyear = buildyear;
    }

    public String getBuildCompany() {
        return buildCompany;
    }

    public void setBuildCompany(String buildCompany) {
        this.buildCompany = buildCompany;
    }

    public String getPowerCompany() {
        return powerCompany;
    }

    public void setPowerCompany(String powerCompany) {
        this.powerCompany = powerCompany;
    }

    public List<PressureFlow> getPressureFlows() {
        return pressureFlows;
    }

    public void setPressureFlows(List<PressureFlow> pressureFlows) {
        this.pressureFlows = pressureFlows;
    }

    @Override
    public String toString() {
        return "TSiteStationInfoData{" +
                "siteStationId='" + siteStationId + '\'' +
                ", stationName='" + stationName + '\'' +
                ", stationType='" + stationType + '\'' +
                ", type='" + type + '\'' +
                ", stationAddr='" + stationAddr + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", buildyear='" + buildyear + '\'' +
                ", buildCompany='" + buildCompany + '\'' +
                ", powerCompany='" + powerCompany + '\'' +
                ", pressureFlows=" + pressureFlows +
                ", iconType=" + iconType +
                ", companyType='" + companyType + '\'' +
                '}';
    }
}
